//+------------------------------------------------------------------+
//|                                               Trommel 34+Ich.mq4 |
//|                                                           Atmats |
//|                                                       Parbaudits |
//+------------------------------------------------------------------+
#property copyright "Atmats"
#property link      "Parbaudits"

//+------------------------------------------------------------------+
//| expert initialization function                                   |
//+------------------------------------------------------------------+



extern int     Aroon_Period = 14;
extern int     TimeF = 60;
extern double Lot         = 0.03;
extern double Lot1        = 0.06;
extern int Kof=200;


extern double TrailingStop = 15;
extern int Slippage       = 2;
extern int    Magic  = 16384;
extern int  _Point = 10;




   
   
   int start()
{
double Up1, Up, Dn1, Dn;

int cnt=0, total, ticket;
// pirmreizeja datu parbaude
// svarigi parliecinaties ka eksperts darbojas ar normalu grafiku un
// esmu pareizi uzstadijis ieksejos mainigos (Loti, StopLoss,
// TakeProfit, TrailingStop)
// musu gadijuma parbaudam tikai TakeProfit
   if(Bars<100)
     {
      Print("bars mazaks par 100");
      return(0);  
     }
   
// lai atvieglotu un paatrinatu kodu, sglabajam nepieciesmos
// indikatora datud mainigajos laika
   if (Volume[0]>1) return;
   if (_Point<MarketInfo(Symbol(),MODE_STOPLEVEL)) _Point=MarketInfo(Symbol(),MODE_STOPLEVEL);
   Up=iCustom(NULL,TimeF,"Aroon_Horn2",Aroon_Period,1,1);
   Up1=iCustom(NULL,TimeF,"Aroon_Horn2",Aroon_Period,1,2);
   Dn=iCustom(NULL,TimeF,"Aroon_Horn2",Aroon_Period,2,1);
   Dn1=iCustom(NULL,TimeF,"Aroon_Horn2",Aroon_Period,2,2);



   
   //parliecinamies kada stavokli tirdzniec terminals
//vai ir ieprieks atvertas pozicijas
       int i,total_order,my_total_order;
      total_order = OrdersTotal()-1;
      my_total_order = 0;
      for(i = total_order; i >= 0; i--) {
         OrderSelect(i, SELECT_BY_POS, MODE_TRADES);
         if (OrderSymbol() == Symbol() && OrderMagicNumber() == Magic)
        
         
          {
               if (OrderType() == OP_BUY || OrderType() == OP_SELL)  my_total_order++;
         }
      }
  
       if (my_total_order < 1)

        {
      // no opened orders identified
      if(AccountFreeMargin()<(Kof*Lot1))
        {
         Print("Tev nau naudas=",(Kof*Lot1),  "Free Margin = ", AccountFreeMargin());
         return(0);  
        }
      //vai nepiesledzamies pa biezu
      // parbaudam pirksanu
      
      
      if ( Up>Dn  && Up1<Dn1) 
      
      {
         ticket=OrderSend(Symbol(),OP_BUY,Lot,Ask,Slippage,0,0,"Krusts_Up",Magic,0,Green);
         if(ticket>0)
           {
            if(OrderSelect(ticket,SELECT_BY_TICKET,MODE_TRADES)) Print("BUY Krusts_Up order opened : ",OrderOpenPrice());
           }
         else Print("Error opening BUY order : ",GetLastError()); 
         return(0);
        }
      if (Up1>80 && Dn1<20)
      {
         ticket=OrderSend(Symbol(),OP_BUY,Lot1,Ask,Slippage,0,0,"Max_Up",Magic,0,White);
         if(ticket>0)
           {
            if(OrderSelect(ticket,SELECT_BY_TICKET,MODE_TRADES)) Print("BUY Max_Up order opened : ",OrderOpenPrice());
           }
         else Print("Error opening SELL order : ",GetLastError()); 
         return(0); 
        }
      
        // parbaudam pardosanu
       if ( Up<Dn  && Up1>Dn1) 
        
        
        {
         ticket=OrderSend(Symbol(),OP_SELL,Lot,Bid,Slippage,0,0,"Krusts_Dn",Magic,0,Red);
         if(ticket>0)
           {
            if(OrderSelect(ticket,SELECT_BY_TICKET,MODE_TRADES)) Print("SELL order opened : ",OrderOpenPrice());
           }
         else Print("Error opening SELL order : ",GetLastError()); 
         return(0); 
         }
         
       if (Dn1>80 && Up1<20)
       {
         ticket=OrderSend(Symbol(),OP_SELL,Lot1,Bid,Slippage,0,0,"Max_Dn",Magic,0,Orange);
         if(ticket>0)
           {
            if(OrderSelect(ticket,SELECT_BY_TICKET,MODE_TRADES)) Print("SELL order opened : ",OrderOpenPrice());
           }
         else Print("Error opening SELL order : ",GetLastError()); 
         return(0); 
        }
         
         
         return(0);
       }
        
        // atverto poziciju kontrole
   // svarigi laicigi apstaties
   total=OrdersTotal();  
   for(cnt=0;cnt<total;cnt++)
     {
      OrderSelect(cnt, SELECT_BY_POS, MODE_TRADES);
      if(OrderType()<=OP_SELL &&   // ta ir atverta pozicija? OP_BUY vai OP_SELL 
         OrderSymbol()==Symbol())  // parbaudam simbolu
        {
         if(OrderType()==OP_BUY)   // gara pozicija
           {
           // should it be closed?
            if (Up>80 && Up1<80 && Dn1>20)
                {
                 OrderClose(OrderTicket(),OrderLots(),Bid,3,Violet); // close position
                 return(0); // exit
                }
            // parbaudam trailing stop
            if(TrailingStop>0)  //lieto'tajs iestatijis opcijas
              {                 
               if(Bid-OrderOpenPrice()>Point*TrailingStop)
                 {
                  if(OrderStopLoss()<Bid-Point*TrailingStop)
                    {
                     OrderModify(OrderTicket(),OrderOpenPrice(),Bid-Point*TrailingStop, OrderTakeProfit(),0,Red);
                     return(0);
                    }
                 }
              }
           }
         else // savadak si ir isa pozicija
           {
            // should it be closed?
            if(Dn>80 && Dn1<80 && Up1>20)
              {
              OrderClose(OrderTicket(),OrderLots(),Ask,3,Violet); // close position
               return(0); // exit
              }
            // parbaudam vai nav jaliek trailingStop
            if(TrailingStop>0)  
              {                 
               if((OrderOpenPrice()-Ask)>(_Point*TrailingStop))
                 {
                  if((OrderStopLoss()>(Ask+Point*TrailingStop)) || (OrderStopLoss()==0))
                    {
                     OrderModify(OrderTicket(),OrderOpenPrice(),Ask+Point*TrailingStop,OrderTakeProfit(),0,Red);
                     return(0);
                    }
                 }
              }
           }
        }
     }
   return(0);
  }
// beigas.
        